petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetKSPIterations

Gets the total number of linear iterations used by the time integrator.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetKSPIterations(TS ts,PetscInt *lits)

Not Collective

### Input Parameter

ts - TS context

### Output Parameter

lits - number of linear iterations

### Notes

This counter is reset to zero for each successive call to TSSolve().

### Keywords

TS, get, number, linear, iterations

### See Also

TSGetSNESIterations(), SNESGetKSPIterations()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex24.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages